Package org.snpeff.filter

# Interface Filter<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  `VariantEffectFilter`

public interface Filter<T>
A Generic filter interface

Author:
  pcingola

## Method Summary

Modifier and Type
Method
Description
`boolean`
`anythingSet()`
Has any of the paremeters been set?
`boolean`
`filter(T objectToTest)`
Does 'objectToTest' satisfy the filter?

## Method Details

### anythingSet

boolean anythingSet()
Has any of the paremeters been set?

Returns:

### filter

boolean filter(T objectToTest)
Does 'objectToTest' satisfy the filter?

Parameters:
  `objectToTest` -
Returns:
  true if 'objectToTest' satisfies the filter